﻿using System;
using System.IO;
using System.Windows.Forms;

namespace AppStylistExample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			try
			{
				Infragistics.Win.AppStyling.StyleManager.Load("Lime-Brown-fixed.isl");
			}
			catch (FileNotFoundException fnfex)
			{
				Console.WriteLine(fnfex.Message);
			}

			InitializeComponent();
		}

		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			txtReadOnly.StyleSetName = "TextEditorReadOnly";
			txtRequired.StyleSetName = "TextEditorRequired";
			txtOptional.StyleSetName = "TextEditorOptional";
		}
	}
}